using System;
using Server;
using Server.Gumps;
using Server.Network;
using Server.Mobiles;
using Server.Items;

namespace Server.Gumps
{
	public class ConfirmToSGump : Gump
	{
		private ToS m_Item;
		private Mobile m_Reject;

		public ConfirmToSGump(ToS game, Mobile who) : base( 0, 0 )
		{
			m_Item = game;
			m_Reject = who;

			this.Closable=false;
			this.Disposable=false;
			this.Dragable=true;
			this.Resizable=false;
			this.AddPage(0);
			this.AddBackground(226, 233, 245, 90, 9270);
			this.AddLabel(256, 248, 1164, @"Would you like to do Team ToS?");
			this.AddButton(384, 281, 208, 209, 0, GumpButtonType.Reply, 0);     //No
			this.AddButton(281, 281, 210, 211, 1, GumpButtonType.Reply, 0);    //Yes
			this.AddLabel(303, 282, 0, @"Yes");
			this.AddLabel(409, 282, 0, @"No");

		}
		
		public enum Buttons
		{
			No,
			Yes,
		}

		public override void OnResponse( NetState state, RelayInfo info ) //Function for GumpButtonType.Reply Buttons 
		{ 		
			Mobile from = state.Mobile;

			switch ( info.ButtonID ) 
			{ 
				case 0:
				{
					from.CloseGump( typeof( ToSGump ) );
					from.SendMessage( 3, "You decide not to do Team ToS");
					m_Reject.SendMessage( 3, "They do not wish to do Team ToS");
					m_Item.Active = false;
					break;
				}

				case 1:
				{
					PlayerMobile grrc = (PlayerMobile)m_Reject;
					from.CloseGump( typeof( ToSGump ) );
					m_Item.StartToSDouble(from, grrc);
					break;
				}
			} 		
		}
	}
}