using System;
using Server;
using Server.Gumps;
using Server.Network;
using Server.Targeting;
using Server.Mobiles;
using Server.Items;

namespace Server.Gumps
{
	public class ToSGump : Gump
	{
		private ToS m_Item;

		public ToSGump(ToS game) : base( 0, 0 )
		{
			m_Item = game;

			this.Closable=false;
			this.Disposable=false;
			this.Dragable=true;
			this.Resizable=false;
			this.AddPage(0);
			this.AddBackground(173, 220, 283, 112, 9270);
			this.AddLabel(260, 235, 1153, @"Welcome to ToS!");
			this.AddButton(202, 280, 55, 56, 0, GumpButtonType.Reply, 0); // ToS
			this.AddButton(334, 281, 55, 56, 1, GumpButtonType.Reply, 0); // Team ToS
			this.AddLabel(354, 280, 1156, @"Team ToS");
			this.AddLabel(222, 280, 3, @"Normal ToS");
			this.AddButton(424, 236, 3, 4, 2, GumpButtonType.Reply, 0); // Close Button

		}
		
		public enum Buttons
		{
			ToS,
			TeamToS,
			CloseButton,
		}

		public override void OnResponse( NetState state, RelayInfo info ) //Function for GumpButtonType.Reply Buttons 
		{ 		
			Mobile from = state.Mobile;

			switch ( info.ButtonID ) 
			{ 
				case 0:
				{
					from.CloseGump( typeof( ToSGump ) );
					m_Item.StartToSSingle(from);
					break;
				}

				case 1:
				{
					from.CloseGump( typeof( ToSGump ) );
					PlayerMobile conv = (PlayerMobile)from;
					from.Target = new ToSTarget(conv, m_Item);
					break;
				}

				case 2:
				{
					from.SendMessage( 3, "You decide not to do ToS.");
					from.CloseGump( typeof( ToSGump ) );
					m_Item.Active = false;
					break;
				}
			} 		
		}
	}
}